OSSP CVS Repository

ossp - Check-in [4562]
Not logged in
[Honeypot]  [Browse]  [Home]  [Login]  [Reports
[Search]  [Ticket]  [Timeline
  [Patchset]  [Tagging/Branching

Check-in Number: 4562
Date: 2004-May-07 09:45:56 (local)
2004-May-07 07:45:56 (UTC)
User:rse
Branch:
Comment: add xdelta to the default config for supporting binary file handling and add a test suite for this
Tickets:
Inspections:
Files:
ossp-pkg/shiela/shiela-install.sh      1.26 -> 1.27     1 inserted, 0 deleted
ossp-pkg/shiela/shiela-test.sh      1.1 -> 1.2     13 inserted, 0 deleted

ossp-pkg/shiela/shiela-install.sh 1.26 -> 1.27

--- shiela-install.sh    2004/05/07 07:33:50     1.26
+++ shiela-install.sh    2004/05/07 07:45:56     1.27
@@ -441,6 +441,7 @@
     Program sendmail ${V_tool_sendmail};
     Program cvs      ${V_tool_cvs};
     Program diff     ${V_tool_diff};
+    Program xdelta   ${V_tool_xdelta};
     Program uuencode ${V_tool_uuencode};
 };
 


ossp-pkg/shiela/shiela-test.sh 1.1 -> 1.2

--- shiela-test.sh       2004/05/07 07:34:42     1.1
+++ shiela-test.sh       2004/05/07 07:45:56     1.2
@@ -212,6 +212,19 @@
   cvs tag BAR_1_2 bar.txt
 )
 
+#   binary file handling
+header "Handling Binary Files in CVS Repository"
+( cd foo || exit 1
+  echo "quux" >quux.bin
+  cvs add -kb quux.bin
+  cvs ci -m "add binary file"
+  echo "quux2" >quux.bin
+  cvs ci -m "change binary file"
+  rm quux.bin
+  cvs rm quux.bin
+  cvs ci -m "remove binary file"
+)
+
 #   cleanup
 cd $oldpwd
 rm -rf $path_test >/dev/null 2>&1 || true

CVSTrac 2.0.1